<div class="modal fade" id="orderDetailsModal" tabindex="-1" role="dialog"
     aria-labelledby="orderDetailsModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="orderDetailsModalLabel">Order details</h5>
            </div>
            <div class="modal-body">
            </div>
        </div>
    </div>
</div>

{% block javascripts %}
    <script>
        $(function () {
            document.addEventListener(
                "click",
                function (event) {
                    if (!event.target.closest(".modal")) {
                        closeModal()
                    }
                }, false
            )

            $('#orderDetailsModal').modal({
                show: false,
            }).on('show.bs.modal', function () {
                let orderId = $(event.target).closest('tr').data('id');
                let date = $(event.target).closest('tr').find('td:eq(1)').html();
                let customer = $(event.target).closest('tr').find('td:eq(2)').html();
                let deliveryAddress = $(event.target).closest('tr').find('td:eq(3)').html();
                let country = $(event.target).closest('tr').find('td:eq(4)').html();
                let products = $(event.target).closest('tr').find('td:eq(5)').html();
                debugger;
                let status = $(event.target).closest('tr').find('td:eq(6)').find('select option:selected').attr('label');

                $(this).find('.modal-body').html($(
                    '<b>Order Id:</b> ' + orderId + '<br>' +
                    '<b>Date:</b> ' + date + '<br>' +
                    '<b>Customer:</b> ' + customer + '<br>' +
                    '<b>Delivery address:</b> ' + deliveryAddress + '<br>' +
                    '<b>Country:</b> ' + country + '<br>' +
                    '<b>Products:</b> ' + products +
                    '<b>Status:</b> ' + status + '<br>'
                ));
            });

            function closeModal() {
                document.querySelector(".modal").style.display = "none"
            }
        })
    </script>
{% endblock %}